package  cohy.data;

import   rsf.vector.*;
import   rsf.util.*;
import   juice.util.*;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 */
public class NormalisorTest {
  public static void main(String[] argv) {

    boolean correct = true;

    int[] nn = {5,3,2};
    Rsf data = RsfFactory.newRsf(nn);
    java.util.Random randomizer = new java.util.Random(813504);
    data.rand(randomizer); 

    Attr rand;
    rand = new Attr(data);
    System.out.println("Input maximum is now random: " + rand.getMax());
    System.out.println("Input minimum is now random: " + rand.getMin());

    Normalisor op = new Normalisor(data.getSpace());
    data = (Rsf) op.image(data); 

    rand = new Attr(data);
    System.out.println("Input maximum is around 128: " + rand.getMax());
    System.out.println("Input minimum is around 128: " + rand.getMin());

    if(! JuiceUtil.approx(rand.getAbsMax(),  128.f)) correct = false;

    Tester.exit(correct);
  }
}

