package   cohy.estDip;

import 	  jam.vector.*;
import 	  jam.operator.*;
import 	  rsf.vector.*;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 */
public class DipFillerFactory implements OperatorFactory {
  public DipFillerFactory() {}
  public Space createRange (Space domain){
    return DipFiller.getOutputRsfSpace((RsfSpace) domain);
  }
  public Space createDomain(Space range ){
    return DipFiller.getInputRsfSpace((RsfSpace) range);
  }
  public Operator getOp(Space domain, Space range ){
    return new DipFiller((RsfSpace) domain, (RsfSpace) range);
  }
  public Operator getOpWithRange(Space range){
    return new DipFiller((RsfSpace)createDomain(range), (RsfSpace)range);
  }
  public Operator getOpWithDomain(Space domain){
    return new DipFiller((RsfSpace)domain, (RsfSpace)createRange(domain));
  }
}




