package   cohy.estDip;

import 	  jam.vector.*;
import 	  jam.operator.*;
import 	  rsf.vector.*;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 */
public class DipXGradNormFactory implements OperatorFactory {
  public DipXGradNormFactory() {}
  public Space createRange (Space domain){
    return DipXGradNorm.getOutputRsfSpace((RsfSpace) domain);
  }
  public Space createDomain(Space range ){
    return DipXGradNorm.getInputRsfSpace((RsfSpace) range);
  }
  public Operator getOp(Space domain, Space range ){
    return new DipXGradNorm((RsfSpace) domain, (RsfSpace) range);
  }
  public Operator getOpWithRange(Space range){
    return new DipXGradNorm((RsfSpace)createDomain(range), (RsfSpace)range);
  }
  public Operator getOpWithDomain(Space domain){
    return new DipXGradNorm((RsfSpace)domain, (RsfSpace)createRange(domain));
  }
}




