package   cohy.correlator;

import 	  jam.vector.*;
import 	  jam.operator.*;
import 	  rsf.vector.*;

/**
 * Instantiates a TraceCorrelatorToRsf operator. 
 * <BR><!--#include file="./source.inc"--><BR>
 */
public class TraceCorrelatorToRsfFactory implements OperatorFactory {
  public TraceCorrelatorToRsfFactory() {}

  public Space createRange (Space domain){
    return domain; 
  }
  public Space createDomain(Space range ){
    return range;
  }
  public Operator getOp(Space domain, Space range ){
    return new TraceCorrelatorToRsf((RsfSpace) domain, (RsfSpace) range); 
  }
  public Operator getOpWithRange(Space range){
    return new TraceCorrelatorToRsf((RsfSpace) range);
  }
  public Operator getOpWithDomain(Space domain){
    return new TraceCorrelatorToRsf((RsfSpace) domain);
  }
}




