package   cohy.estDip;

import 	  jam.vector.*;
import 	  jam.operator.*;
import 	  rsf.vector.*;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 */
public class DipXGradLocalNormFactory implements OperatorFactory {
  public DipXGradLocalNormFactory() {}
  public Space createRange (Space domain){
    return DipXGradLocalNorm.getOutputRsfSpace((RsfSpace) domain);
  }
  public Space createDomain(Space range ){
    return DipXGradLocalNorm.getInputRsfSpace((RsfSpace) range);
  }
  public Operator getOp(Space domain, Space range ){
    return new DipXGradLocalNorm((RsfSpace) domain, (RsfSpace) range);
  }
  public Operator getOpWithRange(Space range){
    return new DipXGradLocalNorm((RsfSpace)createDomain(range),
		       (RsfSpace)range);
  }
  public Operator getOpWithDomain(Space domain){
    return new DipXGradLocalNorm((RsfSpace)domain, 
		       (RsfSpace)createRange(domain));
  }
}




