package   cohy.estWave;

import 	  rsf.vector.*;
import 	  rsf.operator.*;
import  juice.util.Tester;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 */
public class ProProSubTest {
  public static void main(String[] args) {

    boolean correct = true;

    Rsf lne = RsfFactory.newRsf(15);    int[] lneIndex = {1};
    Rsf vol = RsfFactory.newRsf(10,8);  int[] volIndex = {1,1}; 

    System.err.println("\n 45 degree projection \n");

    Projection proj45 = new Projection((RsfSpace) vol.getSpace(), 
				       (RsfSpace) lne.getSpace());
    proj45.setNormal((float) (Math.PI / 4.)); 

    ProProSub  pps45 = new ProProSub((RsfSpace) vol.getSpace());

    vol.fill(99.f);
    lne.rand(); 
    if (vol.getDatum(volIndex) != 99.f) correct = false;
    System.out.println("Filled 90: " + vol); 
    proj45.adjoint().image(lne, vol);
    if (vol.getDatum(volIndex) == 99.f) correct = false;
    System.out.println("Proj     : " + vol); 
    pps45.image(vol,vol); 
    if (vol.getDatum(volIndex) != 0.0f) correct = false;
    System.out.println("ProProSub: " + vol); 

    Tester.exit(correct);
  }
}

   
